import time
from functools import wraps

def timeit(min_seconds=0):
    def inner_timeit(func):
        @wraps(func)
        def wrapper(*args, debug=True, **kwargs):
            start = time.time()
            result = func(*args, **kwargs)
            if time.time() - start > min_seconds and debug:
                print(f'{round((time.time() - start),4)} seconds')
            return result
        return wrapper
    if callable(min_seconds):
        func = min_seconds
        min_seconds = 0
        return inner_timeit(func)
    else:
        return inner_timeit
    return inner_timeit

@timeit()
def slow_sum(a, b, *, delay):
    time.sleep(delay)
    return a + b

if __name__ == "__main__":
    print(slow_sum(2, 3, delay=2))
