import math
class ShowAccess:
    def __init__(self):
        self.value = None
    
    def __get__(self, instance, owner):
        if instance is None:
            return self
        print(f'Get {self.name} = {self.value}')
        return self.value

    def __set__(self, instance, value):
        self.value = value
        print(f'Set {self.name} = {self.value}')
        
    def __delete__(self, instance):
        print(f'Delete {self.name} = {self.value}')
        del self.value

    def __set_name__(self, owner, name):
        self.name = name

class Rectangle():
    a = ShowAccess()
    b = ShowAccess()
    
    def __init__(self, a, b):
        self.a = a
        self.b = b
    
    @property
    def area(self):
        return self.a * self.b

    @property
    def perimeter(self):
        return 2 * (self.a + self.b)

if __name__ == "__main__":
    r = Rectangle(10, 20)
    print('Area:', r.area)
    print('Perimeter:', r.perimeter)
    del r.a
